Skip to main content
GET
/
employee-pension
/
{employeeId}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/pension/employee-pension/{employeeId}
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "organisationId": "<string>",
      "employeeId": "<string>",
      "pensionGroupId": "<string>",
      "enrolmentDate": "2023-12-25",
      "pensionGroup": {
        "id": "<string>",
        "organisationId": "<string>",
        "pensionSchemaId": "<string>",
        "name": "<string>",
        "isDefault": true,
        "pensionType": "<string>",
        "isSalarySacrifice": true,
        "basis": "<string>",
        "employeeFactor": 123,
        "employerFactor": 123,
        "nationalInsuranceSavingsFactor": 123,
        "createdBy": "<string>",
        "createdDate": "2023-11-07T05:31:56Z",
        "updatedBy": "<string>",
        "updatedDate": "2023-11-07T05:31:56Z"
      },
      "isAutoEnrolled": true,
      "manualEnrolmentPensionGroup": {
        "id": "<string>",
        "organisationId": "<string>",
        "pensionSchemaId": "<string>",
        "name": "<string>",
        "isDefault": true,
        "pensionType": "<string>",
        "isSalarySacrifice": true,
        "basis": "<string>",
        "employeeFactor": 123,
        "employerFactor": 123,
        "nationalInsuranceSavingsFactor": 123,
        "createdBy": "<string>",
        "createdDate": "2023-11-07T05:31:56Z",
        "updatedBy": "<string>",
        "updatedDate": "2023-11-07T05:31:56Z"
      },
      "autoEnrolmentPensionGroup": {
        "id": "<string>",
        "organisationId": "<string>",
        "pensionSchemaId": "<string>",
        "name": "<string>",
        "isDefault": true,
        "pensionType": "<string>",
        "isSalarySacrifice": true,
        "basis": "<string>",
        "employeeFactor": 123,
        "employerFactor": 123,
        "nationalInsuranceSavingsFactor": 123,
        "createdBy": "<string>",
        "createdDate": "2023-11-07T05:31:56Z",
        "updatedBy": "<string>",
        "updatedDate": "2023-11-07T05:31:56Z"
      }
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

employeeId
string
required

Response

message
object
content
object